# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/nfc/nxp,nci.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP Semiconductors NCI NFC controller

maintainers:
  - Charles Gorand <charles.gorand@effinnov.com>
  - Krzysztof Kozlowski <krzk@kernel.org>

properties:
  compatible:
    oneOf:
      - const: nxp,nxp-nci-i2c
      - items:
          - const: nxp,pn547
          - const: nxp,nxp-nci-i2c

  enable-gpios:
    description: Output GPIO pin used for enabling/disabling the controller

  firmware-gpios:
    description: Output GPIO pin used to enter firmware download mode

  interrupts:
    maxItems: 1

  reg:
    maxItems: 1

required:
  - compatible
  - enable-gpios
  - interrupts
  - reg

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        nfc@29 {
            compatible = "nxp,nxp-nci-i2c";

            reg = <0x29>;

            interrupt-parent = <&gpio1>;
            interrupts = <29 IRQ_TYPE_LEVEL_HIGH>;

            enable-gpios = <&gpio0 30 GPIO_ACTIVE_HIGH>;
            firmware-gpios = <&gpio0 31 GPIO_ACTIVE_HIGH>;
        };
    };
